Bug 11203 - big problems with upgrade to XFree86-4.0-0.6.
big problems with upgrade to XFree86-4.0-0.6.
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-05-03 13:16 EDT by Neal D. Becker
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-30 13:59:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Neal D. Becker 2000-05-03 13:16:02 EDT
I encountered big problems trying to upgrade from RH6.2 to XFree86-4.0-0.6.i386.rpm.

There are a number of config directories that are moved from /usr/X11R6/lib/X11 to /etc/X11.
The install fails on them. I believe the correct procedure is either rename the old
directory, or mv it to /etc/X11 and put in a symlink.

Each time I tried to update, it ran for a very long time, running a command like

tar cBf - | tar xf -

It seems to have gone insane!! It was tarring my whole hard disk, as far as I can tell.
I killed it after a while (and many warnings about ignoring sockets in places like my
home directory!)

I tried again to do the update with the same results. I did not get the SRPM and
investigate which script was going nuts.
Comment 1 Bernhard Rosenkraenzer 2000-05-30 13:59:59 EDT
The %triggerpostun script was messing up - this should be fixed in more current
versions (starting from 0.8, I think - current is 0.16).

Note You need to log in before you can comment on or make changes to this bug.